.wallet-section {
  width: 90%;
  margin: auto;
}
.wallet-section .wallet-balance-card {
  background: #f5f5f5;
  padding: 20px;
  border-radius: 6px;
  margin-bottom: 30px;
}
.wallet-section .wallet-balance-content {
  position: relative;
  padding: 20px;
  background: #fff;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-image: url("/assets/images/account/wallet.png");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  height: 110px;
  z-index: 1;
}
.wallet-section .wallet-balance-content {
  position: relative;
  border: 3px dashed #2d2d2d;
  z-index: 2;
}
.wallet-section .wallet-balance-content::before {
  content: "";
  position: absolute;
  top: -3px;
  left: -3px;
  width: 49%;
  height: 110px;
  border: 3px dashed #ee4823;
  border-right: none;
  z-index: -1;
}
.wallet-section .balance-label {
  color: #2d2d2d;
  font-size: 15px;
  font-weight: 400;
  margin-bottom: 5px;
}
.wallet-section .balance-amount {
  font-size: 30px;
  font-weight: 700;
  margin: 0;
}
.wallet-section .wallet-note {
  color: #ff0000;
  font-size: 14px;
  margin-top: 10px;
  font-weight: 500;
  margin-bottom: 0;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}
.wallet-section .wallet-history-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 15px;
}
.wallet-section .common-black-btn {
  padding: 5px 10px;
}
.wallet-section .wallet-history-header .wallet-t {
  margin: 0;
  font-size: 17px;
}
.wallet-section .view-history-btn {
  border: none;
  background: transparent;
  text-decoration: underline;
  font-weight: 500;
  font-size: 15px;
  color: #2d2d2d;
}
.wallet-section .wallet-history-card {
  display: flex;
  gap: 15px;
  align-items: center;
  border: 1px solid #dcdcdc;
  border-radius: 6px;
  padding: 6px;
  margin-bottom: 15px;
  background: #fff;
}
.wallet-section .wallet-left {
  width: 75px;
  height: 90px;
  border-radius: 6px;
  overflow: hidden;
}
.wallet-section .history-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.wallet-section .wallet-center {
  flex: 1;
}
.wallet-section .date-wrapper,
.wallet-section .bottom-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: start;
}
.wallet-section .order-id {
  color: #ee4823;
  font-weight: 600;
  margin-bottom: 4px;
  font-size: 15px;
  word-break: break-all;
}
.wallet-section .wallet-center h5 {
  margin-bottom: 4px;
  font-size: 18px;
  color: #222222;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}
.wallet-section .wallet-details {
  color: #2d2d2d;
  font-size: 14px;
  margin: 0;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  overflow-wrap: break-word;
  word-break: normal;
}
.wallet-section .wallet-right {
  text-align: right;
}
.wallet-section .history-date {
  color: #707070;
  font-size: 13px;
  margin-bottom: 8px;
  white-space: nowrap;
}
.wallet-section .deduct-amount {
  font-weight: 700;
  color: #333;
  font-size: 20px;
  margin: 0;
  white-space: nowrap;
}
.wallet-section .wallet-history-list {
  overflow: auto;
  height: 346px;
  scrollbar-width: none;
}

@media (min-width: 0px) and (max-width: 1199.98px) {
  .wallet-section .balance-amount {
    font-size: 24px;
  }
  .wallet-section .wallet-balance-card {
    padding: 14px;
    margin-bottom: 20px;
  }
  .wallet-section .wallet-balance-content {
    height: 90px;
  }
  .wallet-section .wallet-balance-content::before {
    height: 90px;
  }
  .wallet-section .wallet-history-card {
    gap: 10px;
  }
}

@media (min-width: 0px) and (max-width: 767.98px) {
  .wallet-section {
    width: 100%;
  }
  .wallet-section .wallet-center h5 {
    font-size: 15px;
  }
  .wallet-section .order-id {
    margin-bottom: 3px;
    font-size: 14px;
  }
  .wallet-section .wallet-left {
    width: 70px;
    height: 80px;
  }
  .wallet-section .deduct-amount {
    font-size: 18px;
  }
  .wallet-section .wallet-history-header .wallet-t {
    font-size: 15px;
  }
  .wallet-section .view-history-btn {
    font-size: 14px;
  }
  .wallet-section .wallet-note {
    font-size: 13px;
    margin-top: 7px;
  }
  .wallet-section .balance-amount {
    font-size: 21px;
  }
}

@media (min-width: 0px) and (max-width: 575.98px) {
  .wallet-section .wallet-balance-card {
    padding: 10px;
    margin-bottom: 10px;
  }
  .wallet-section .wallet-balance-content {
    padding: 10px;
    height: 80px;
  }
  .wallet-section .balance-label {
    font-size: 13px;
  }
  .wallet-section .balance-amount {
    font-size: 18px;
  }
  .wallet-section .common-black-btn {
    padding: 3px 8px;
    font-size: 13px;
  }
  .wallet-section .wallet-balance-content::before {
    height: 80px;
  }
  .wallet-section .wallet-note {
    font-size: 12px;

    line-height: 1.2;
  }
  .wallet-section .wallet-history-header .wallet-t {
    font-size: 14px;
  }
  .wallet-section .view-history-btn {
    font-size: 13px;
  }
  .wallet-section .wallet-history-header {
    margin-bottom: 10px;
  }
  .wallet-section .wallet-history-card {
    gap: 11px;
    flex-direction: column;
    align-items: start;
  }
  .wallet-section .date-wrapper,
  .wallet-section .bottom-wrapper {
    flex-wrap: wrap;
    gap: 3px;
  }
  .wallet-section .history-date {
    font-size: 11px;
    margin: 0;
  }
  .wallet-section .order-id {
    font-size: 14px;
    margin: 0;
  }
  .wallet-section .wallet-center h5 {
    font-size: 14px;
  }
  .wallet-section .wallet-details {
    font-size: 13px;
  }
  .wallet-section .deduct-amount {
    font-size: 16px;
  }
  .wallet-section .wallet-center {
    width: 100%;
  }
  .wallet-section .wallet-left {
    width: 100px;
    height: 85px;
  }
}
